TMPFILE(3)

NAME
tmpfile - create a temporary file

SYNOPSIS
#include <stdio.h>

FILE *tmpfile (void);

DESCRIPTION
The tmpfile() function generates a unique temporary filename. The temporary file is then opened in binary read/write (w+b) mode. The file will be automatically deleted when it is closed or the program terminates normally.

RETURN VALUE
The tmpfile() function returns a stream descriptor, or NULL if a unique filename cannot be generated or the unique file cannot be opened. In the latter case, errno is set to indicate the error.

ERRORS

EACCES
    Search permission denied for directory in file's path prefix.

EEXIST
    Unable to generate a unique filename.

EINTR
    The call was interrupted by a signal.

EMFILE
    Too many file descriptors in use by the process.

ENFILE
    Too many files open in the system.

ENOSPC
    There was no room in the directory to add the new filename.

EROFS
    Read-only filesystem.

CONFORMING TO
SVID 3, POSIX, BSD 4.3, ISO 9899, SUSv2

NOTES
An error message may be written to stdout if the stream cannot be opened.

The standard does not specify the directory that tmpfile() will use. Glibc will try the path prefix P_tmpdir defined in <stdio.h>, and if that fails the directory /tmp.

SEE ALSO
exit(3), mkstemp(3), mktemp(3), tempnam(3), tmpnam(3)